Index: friend.php
===================================================================
--- friend.php	(Revision 24007)
+++ friend.php	(Arbeitskopie)
@@ -61,7 +61,7 @@
         error_page(tra("You can't be friends with yourself"));
     }
     $destuser = BoincUser::lookup_id($destid);
-    if (!$destuser) error_page(tra("No such user"));
+    if (!$destuser) error_page("No such user");
 
     check_pending($user, $destuser);
     check_ignoring($user, $destuser);
@@ -71,14 +71,14 @@
         <form method=post action=friend.php>
         <input type=hidden name=userid value=$destid>
         <input type=hidden name=action value=add_confirm>" .
-        tra("You have asked to add %1 as a friend. We will notify %2 and will ask him/her to confirm that you are friends.",
-        "<b>".$destuser->name."</b>","<b>".$destuser->name."</b>") ."
+        tra("You have asked to add %1 as a friend. We will notify %1 and will ask him/her to confirm that you are friends.",
+        "<b>".$destuser->name."</b>") ."
         <p>" .
         tra("Add an optional message here:") ."
         <br>
         <textarea name=message cols=64 rows=4></textarea>
         <p>
-        <input type=submit value=OK>
+        <input type=submit value=\"".tra("OK")."\">
         </form>
     ";
     page_tail();
@@ -89,13 +89,13 @@
 function handle_add_confirm($user) {
     $destid = post_int('userid');
     $destuser = BoincUser::lookup_id($destid);
-    if (!$destuser) error_page(tra("No such user"));
+    if (!$destuser) error_page("No such user");
 
     check_pending($user, $destuser);
     check_ignoring($user, $destuser);
 
     $msg = post_str('message', true);
-    if ($msg) $msg = strip_tags(BoincDb::escape_string($msg));
+    if ($msg) $msg = sanitize_tags(BoincDb::escape_string($msg));
 
     $now = time();
     $ret = BoincFriend::replace(
@@ -132,9 +132,9 @@
     }
     $srcid = get_int('userid');
     $srcuser = BoincUser::lookup_id($srcid);
-    if (!$srcuser) error_page(tra("No such user"));
+    if (!$srcuser) error_page("No such user");
     $friend = BoincFriend::lookup($srcid, $user->id);
-    if (!$friend) error_page(tra("Request not found"));
+    if (!$friend) error_page("Request not found");
     page_head(tra("Friend request"));
 	echo time_str($friend->create_time)."<p>\n";
     $x = user_links($srcuser, true);
@@ -155,17 +155,17 @@
 function handle_accept($user) {
     $srcid = get_int('userid');
     $srcuser = BoincUser::lookup_id($srcid);
-    if (!$srcuser) error_page(tra("No such user"));
+    if (!$srcuser) error_page("No such user");
 
     $friend = BoincFriend::lookup($srcid, $user->id);
     if (!$friend) {
-        error_page(tra("No request"));
+        error_page("No request");
     }
     $friend->update("reciprocated=1");
 
     // "accept message" not implemented in interface yet
     $msg = post_str('message', true);
-    if ($msg) $msg = strip_tags(BoincDb::escape_string($msg));
+    if ($msg) $msg = sanitize_tags(BoincDb::escape_string($msg));
     $now = time();
     $ret = BoincFriend::replace("user_src=$user->id, user_dest=$srcid, message='$msg', create_time=$now, reciprocated=1");
     if (!$ret) {
@@ -213,7 +213,7 @@
 function handle_accepted($user) {
     $destid = get_int('userid');
     $destuser = BoincUser::lookup_id($destid);
-    if (!$destuser) error_page(tra("No such user"));
+    if (!$destuser) error_page("No such user");
     $notify = BoincNotify::lookup($user->id, NOTIFY_FRIEND_ACCEPT, $destid);
     if ($notify) {
         $notify->delete();
@@ -228,7 +228,7 @@
 function handle_cancel_confirm($user) {
     $destid = get_int('userid');
     $destuser = BoincUser::lookup_id($destid);
-    if (!$destuser) error_page(tra("No such user"));
+    if (!$destuser) error_page("No such user");
     page_head(tra("Cancel friendship?"));
     echo
         tra("Are you sure you want to cancel your friendship with %1?",
@@ -244,7 +244,7 @@
 function handle_cancel($user) {
     $destid = get_int('userid');
     $destuser = BoincUser::lookup_id($destid);
-    if (!$destuser) error_page(tra("No such user"));
+    if (!$destuser) error_page("No such user");
     BoincFriend::delete($user->id, $destid);
     page_head(tra("Friendship cancelled"));
     echo tra("Your friendship with %1 has been cancelled.",$destuser->name);
@@ -285,7 +285,7 @@
     handle_cancel($user);
     break;
 default:
-    error_page(tra("Unknown action"));
+    error_page("Unknown action");
 }
 
 ?>
Index: host_update_credit.php
===================================================================
--- host_update_credit.php	(Revision 24007)
+++ host_update_credit.php	(Arbeitskopie)
@@ -25,17 +25,17 @@
 db_init();
 $user = get_logged_in_user();
 
-page_head("Updating computer credit");
+page_head(tra("Updating computer credit"));
 
 $hostid = get_int("hostid");
 
 $host = lookup_host($hostid);
 if (!$host || $host->userid != $user->id) {
-    error_page("We have no record of that computer");
+    error_page(tra("We have no record of that computer"));
 }
 
 host_update_credit($hostid);
-echo "<br>Host credit updated";
+echo "<br>".tra("Host credit updated");
 page_tail();
 
 ?>
Index: host_venue_action.php
===================================================================
--- host_venue_action.php	(Revision 24007)
+++ host_venue_action.php	(Arbeitskopie)
@@ -30,25 +30,24 @@
 
 $host = BoincHost::lookup_id($hostid);
 if (!$host) {
-    error_page("No such host");
+    error_page(tra("No such host"));
 }
 if ($host->userid != $user->id) {
-    error_page("Not your host");
+    error_page(tra("Not your host"));
 }
 
 $retval = $host->update("venue='$venue'");
 if ($retval) {
-    page_head("Host venue updated");
+    page_head(tra("Host venue updated"));
     if ($venue == '') {
-        $venue = '(none)';
+        $venue = '('.tra("none").')';
     }
     echo "
-        The venue of this host has been set to <b>$venue</b>.
+        ".tra("The venue of this host has been set to %1.", "<b>$venue</b>")."
         <p>
-        This change will take effect the next time the
-        host communicates with this project.
+        ".tra("This change will take effect the next time the host communicates with this project.")."
         <p>
-        <a href=show_host_detail.php?hostid=$hostid>Return to host page</a>.
+        <a href=show_host_detail.php?hostid=$hostid>".tra("Return to host page")."</a>.
     ";
     page_tail();
 } else {
Index: host_edit_action.php
===================================================================
--- host_edit_action.php	(Revision 24007)
+++ host_edit_action.php	(Arbeitskopie)
@@ -21,7 +21,7 @@
 require_once("../inc/host.inc");
 
 function fail($msg) {
-    echo "Error: $msg";
+    echo tra("Error:")." $msg";
     page_tail();
     exit();
 }
@@ -29,14 +29,14 @@
 function get_host($hostid, $user) {
     $host = BoincHost::lookup_id($hostid);
     if (!$host || $host->userid != $user->id) {
-        fail("We have no record of that computer");
+        fail(tra("We have no record of that computer"));
     }
     return $host;
 }
 
 $user = get_logged_in_user();
 
-page_head("Merge computer records");
+page_head(tra("Merge computer records"));
 
 $nhosts = get_int("nhosts");
 $hostid = get_int("id_0");
@@ -62,7 +62,7 @@
     $latest_host = BoincHost::lookup_id($latest_host->id);
 }
 echo "
-    <p><a href=hosts_user.php>Return to list of your computers</a>
+    <p><a href=hosts_user.php>".tra("Return to list of your computers")."</a>
 ";
 page_tail();
 
Index: forum_rss.php
===================================================================
--- forum_rss.php	(Revision 24007)
+++ forum_rss.php	(Arbeitskopie)
@@ -38,22 +38,21 @@
 if (!$forum) error_page("no such forum");
 
 if (get_int('setup', true)) {
-    page_head("$forum->name RSS feed");
-    echo "
-        This message board is available as an RSS feed.
-        Options:
-        <form action=forum_rss.php>
-        <input type=hidden name=forumid value=$forumid>
+    page_head(tra("%1 RSS feed", $forum->title));
+    echo tra("This message board is available as an RSS feed.")
+        .tra("Options:")."
+        <form action=\"forum_rss.php\" method=\"get\">
+        <input type=\"hidden\" name=\"forumid\" value=\"$forumid\">
         <p>
-        Include only posts by user ID <input name=userid> (default: all users).
+        ".tra("Include only posts by user ID %1 (default: all users).", "<input name=\"userid\">")."
         <p>
-        Include only posts from the last <input name=ndays> days (default: 30).
+        ".tra("Include only posts from the last %1 days (default: 30).", "<input name=\"ndays\">")."
         <p>
-        Truncate posts <input type=checkbox name=truncate checked>
+        ".tra("Truncate posts: %1 (Include only first 265 characters of each post)", "<input type=\"checkbox\" name=\"truncate\" checked>")."
         <p>
-        Threads only <input type=checkbox name=threads_only>
+        ".tra("Threads only: %1 (Include only the first post of every thread)", "<input type=\"checkbox\" name=\"threads_only\">")."
         <p>
-        <input type=submit value=OK>
+        <input type=\"submit\" value=\"".tra("OK")."\">
     ";
     page_tail();
     exit;
Index: ffmail_form.php
===================================================================
--- ffmail_form.php	(Revision 24007)
+++ ffmail_form.php	(Arbeitskopie)
@@ -16,6 +16,10 @@
 // You should have received a copy of the GNU Lesser General Public License
 // along with BOINC.  If not, see <http://www.gnu.org/licenses/>.
 
+// TODO: - find out if this is used (add some logging mechanism or so)
+//       - if used rewrite code to use display functions from util.inc
+//       - if used find a way to give the user a language choice (projects must translate messages themself)
+
 require_once("../inc/util.inc");
 
 check_get_args(array());
@@ -24,31 +28,25 @@
 $user = get_logged_in_user();
 
 if (!@file_get_contents('../ops/ffmail/subject')) {
-    error_page(
-        'This project hasn\'t created an email message -
-        please notify its administrators'
-    );
+    error_page(tra("This project hasn\'t created an email message - please notify its administrators"));
 }
 
-page_head("Tell your friends about ".PROJECT);
+page_head(tra("Tell your friends about %1", PROJECT));
 
 echo "
 <table width=600><tr><td>
-Help us by telling your friends, family and coworkers about ".PROJECT.".
+".tra("Help us by telling your friends, family and coworkers about %1", PROJECT)."
 <p>
-Fill in this form with the names and email addresses
-of people you think might be interested in ".PROJECT.".
-We'll send them an email in your name,
-and you can add your own message if you like.
+".tra("Fill in this form with the names and email addresses of people you think might be interested in %1. We'll send them an email in your name, and you can add your own message if you like.", PROJECT)."
 <form method=get action=ffmail_action.php>
 <table cellpadding=4>
-<tr><td class=heading>Your name:</td><td class=heading>Your email address:</td></tr>
+<tr><td class=heading>".tra("Your name:")."</td><td class=heading>".tra("Your email address:")."</td></tr>
 <tr><td><b>$user->name</b></td><td><b>$user->email_addr</b></td></tr>
 
 <input type=hidden name=uname value=\"$user->name\">
 <input type=hidden name=uemail value=\"$user->email_addr\">
 
-<tr><td class=heading>Friend's name:</td><td class=heading>Friend's email address:</td></tr>
+<tr><td class=heading>".tra("Friend's name:")."</td><td class=heading>".tra("Friend's email address:")."</td></tr>
 ";
 for ($i=0; $i<5; $i++) {
     echo "
@@ -56,10 +54,10 @@
     ";
 }
 echo "
-<tr><td class=heading colspan=2>Additional message (optional)</td></tr>
+<tr><td class=heading colspan=2>".tra("Additional message (optional)")."</td></tr>
 <tr><td colspan=2><textarea name=comment rows=8 cols=50></textarea></td></tr>
-<tr><td align=center><input type=submit name=action value=Preview></td>
-    <td align=center><input type=submit name=action value=Send></td>
+<tr><td align=center><input type=submit name=action value=".tra("Preview")."></td>
+    <td align=center><input type=submit name=action value=".tra("Send")."></td>
 </tr>
 </table>
 </form>
Index: forum_subscribe.php
===================================================================
--- forum_subscribe.php	(Revision 24007)
+++ forum_subscribe.php	(Arbeitskopie)
@@ -43,39 +43,35 @@
 
 function subscribe($forum, $thread, $user) {
     if (BoincSubscription::replace($user->id, $thread->id)) {
-        page_head("Subscription successful");
+        page_head(tra("Subscription successful"));
         show_forum_header($user);
         show_title($forum, $thread);
-        echo "<p>You are now subscribed to <b>", cleanup_title($thread->title), "</b>.
-        You will be notified whenever there is a new post.";
+        echo "<p>".tra("You are now subscribed to %1. You will be notified whenever there is a new post.", "<b>".cleanup_title($thread->title)."</b>");
     } else {
-        page_head("Subscription failed");
-        echo "<p>We are currently unable to subscribe you to this thread (<b>", cleanup_title($thread->title), "</b>).
-        Please try again later..";
+        page_head(tra("Subscription failed"));
+        echo "<p>".tra("We are currently unable to subscribe you to %1. Please try again later..", "<b>".cleanup_title($thread->title)."</b>");
     }
-    echo "</p><p><br /><a href=\"forum_thread.php?id=".$thread->id."\">Return to thread</a></p>";
+    echo "</p><p><br /><a href=\"forum_thread.php?id=".$thread->id."\">".tra("Return to thread")."</a></p>";
     page_tail();
 }
 
 function unsubscribe($forum, $thread, $user) {
     BoincSubscription::delete($user->id, $thread->id);
     if (!BoincSubscription::lookup($user->id, $thread->id)) {
-        page_head("Unsubscription successful");
+        page_head(tra("Unsubscription successful"));
         show_forum_header($user);
         show_title($forum, $thread);
-        echo "<p>You are no longer subscribed to <b>", cleanup_title($thread->title), "</b>.
-        You will no longer receive notifications for this thread.";
+        echo "<p>".tra("You are no longer subscribed to %1. You will no longer receive notifications for this thread.", "<b>".cleanup_title($thread->title)."</b>");
     } else {
-        page_head("Unsubscription failed");
-        echo "<p>We are currently unable to unsubscribe you to this thread (<b>", cleanup_title($thread->title), "</b>).
-        Please try again later..";
+        page_head(tra("Unsubscription failed"));
+        echo "<p>".tra("We are currently unable to unsubscribe you from %1. Please try again later..", "<b>".cleanup_title($thread->title)."</b>");
     }
-    echo "</p><p><br /><a href=\"forum_thread.php?id=".$thread->id."\">Return to thread</a></p>";
+    echo "</p><p><br /><a href=\"forum_thread.php?id=".$thread->id."\">".tra("Return to thread")."</a></p>";
     page_tail();
 }
 
 if (!$thread || !$action) {
-    error_page("Unknown subscription action");
+    error_page(tra("Unknown subscription action"));
 }
 
 $user = get_logged_in_user();
Index: donated.php
===================================================================
--- donated.php	(Revision 24007)
+++ donated.php	(Arbeitskopie)
@@ -22,14 +22,14 @@
 
 $st = get_str("st", true);
 
-page_head("PayPal - Transaction Completed");
+page_head(tra("PayPal - Transaction Completed"));
 
 if ($st == "Completed") {
-    echo "<div>Thank you for donating!<br>\n";
-    echo "Your donation for has been completed.<br>\n";
-    echo "Your donation will be added to the progress bar after confirmation by PayPal.</div>";
+    echo "<div>".tra("Thank you for donating!")."<br>\n";
+    echo tra("Your donation for has been completed.")."<br>\n";
+    echo tra("Your donation will be added to the progress bar after confirmation by PayPal.")."</div>";
 } else {
-    echo "<strong>You have canceled your donation</strong>";
+    echo "<strong>".tra("You have canceled your donation.")."</strong>";
 }
 
 page_tail();
Index: account_finish.php
===================================================================
--- account_finish.php	(Revision 24007)
+++ account_finish.php	(Arbeitskopie)
@@ -23,7 +23,6 @@
 require_once('../inc/boinc_db.inc');
 require_once('../inc/util.inc');
 require_once('../inc/countries.inc');
-require_once('../inc/translation.inc');
 
 check_get_args(array("auth"));
 
@@ -32,7 +31,7 @@
 if (!$user) {
     error_page("no such account");
 }
-page_head("Finish account setup");
+page_head(tra("Finish account setup"));
 
 echo "
     <form action=account_finish_action.php method=post>
Index: forum_moderate_thread_action.php
===================================================================
--- forum_moderate_thread_action.php	(Revision 24007)
+++ forum_moderate_thread_action.php	(Arbeitskopie)
@@ -35,7 +35,7 @@
 if (!$forum) error_page("no forum");
 
 if (!is_moderator($logged_in_user, $forum)) {
-    error_page("You are not authorized to moderate this post.");
+    error_page(tra("You are not authorized to moderate this post."));
 }
 
 $explanation = "";
@@ -95,11 +95,11 @@
     $action_name = "renamed from '$thread->title' to '$new_title'";
     break;
 default:
-    error_page("Unknown action ");
+    error_page("Unknown action");
 }
 
 if (!$result) {
-    error_page("Moderation failed");
+    error_page(tra("Action failed: possible database problem"));
 }
 
 $reason = post_str('reason', true);
Index: forum_forum.php
===================================================================
--- forum_forum.php	(Revision 24007)
+++ forum_forum.php	(Arbeitskopie)
@@ -31,14 +31,14 @@
 if (!$start) $start = 0;
 
 $forum = BoincForum::lookup_id($id);
-if (!$forum) error_page("no forum");
+if (!$forum) error_page("forum ID not found");
 $user = get_logged_in_user(false);
 
 if (!is_forum_visible_to_user($forum, $user)) {
     if ($user) {
         remove_subscriptions_forum($user->id, $id);
     }
-    error_page("Not visible");
+    error_page(tra("Not visible to you"));
 }
 
 BoincForumPrefs::lookup($user);
@@ -67,7 +67,7 @@
 switch ($forum->parent_type) {
 case 0:
     $category = BoincCategory::lookup_id($forum->category);
-    if ($category->is_helpdesk){
+    if ($category->is_helpdesk) {
         page_head(tra("Questions and Answers").' : '.$forum->title);
         echo '<link href="forum_help_desk.php" rel="up" title="Forum Index">';
     } else {
@@ -79,7 +79,7 @@
     break;
 case 1:
     $team = BoincTeam::lookup_id($forum->category);
-    page_head("Team message board for <a href=team_display.php?teamid=$team->id>$team->name</a>");
+    page_head(tra("Team message board for %1", "<a href=team_display.php?teamid=$team->id>$team->name</a>"));
     show_forum_header($user);
     show_team_forum_title($forum);
     break;
@@ -95,7 +95,7 @@
 
 if (user_can_create_thread($user, $forum)) {
     show_button(
-        "forum_post.php?id=$id", "New thread", "Add a new thread to this forum"
+        "forum_post.php?id=$id", tra("New thread"), tra("Add a new thread to this forum")
     );
 }
 
@@ -114,11 +114,8 @@
 show_forum($forum, $start, $sort_style, $user);
 
 echo "
-    <p>
-    This message board is available as an
-    <a href=forum_rss.php?forumid=$forum->id&setup=1>RSS feed
-    <img src=img/feed_logo.png></a>
-";
+    <p>".
+    tra("This message board is available as an %1RSS feed%2", "<a href=forum_rss.php?forumid=$forum->id&setup=1>", " <img src=img/feed_logo.png></a>");
 
 page_tail();
 
@@ -174,33 +171,33 @@
 
         echo "<td width=\"1%\" class=\"threadicon\"><nobr>";
         if ($thread->hidden) {
-            show_image(IMAGE_HIDDEN, "This thread is hidden", "hidden");
+            show_image(IMAGE_HIDDEN, tra("This thread is hidden"), tra("hidden"));
         } else if ($unread) {
             if ($thread->sticky) {
                 if ($thread->locked) {
-                    show_image(NEW_IMAGE_STICKY_LOCKED, "This thread is sticky and locked, and you haven't read it yet", "sticky/locked/unread");
+                    show_image(NEW_IMAGE_STICKY_LOCKED, tra("This thread is sticky and locked, and you haven't read it yet"), tra("sticky/locked/unread"));
                 } else {
-                    show_image(NEW_IMAGE_STICKY, "This thread is sticky and you haven't read it yet", "sticky/unread");
+                    show_image(NEW_IMAGE_STICKY, tra("This thread is sticky and you haven't read it yet"), tra("sticky/unread"));
                 }
             } else {
                 if ($thread->locked) {
-                    show_image(NEW_IMAGE_LOCKED, "You haven't read this thread yet, and it's locked", "unread/locked");
+                    show_image(NEW_IMAGE_LOCKED, tra("You haven't read this thread yet, and it's locked"), tra("unread/locked"));
                 } else {
-                    show_image(NEW_IMAGE, "You haven't read this thread yet", "unread");
+                    show_image(NEW_IMAGE, tra("You haven't read this thread yet"), tra("unread"));
                 }
             }
         } else {
             if ($thread->sticky) {
                 if ($thread->locked) {
-                    show_image(IMAGE_STICKY_LOCKED, "This thread is sticky and locked", "sticky/locked");
+                    show_image(IMAGE_STICKY_LOCKED, tra("This thread is sticky and locked"), tra("sticky/locked"));
                 } else {
-                    show_image(IMAGE_STICKY, "This thread is sticky", "sticky");
+                    show_image(IMAGE_STICKY, tra("This thread is sticky"), tra("sticky"));
                 }
             } else {
                 if ($thread->locked) {
-                    show_image(IMAGE_LOCKED, "This thread is locked", "locked");
+                    show_image(IMAGE_LOCKED, tra("This thread is locked"), tra("locked"));
                 } else {
-                    show_image(IMAGE_POST, "You read this thread", "read");
+                    show_image(IMAGE_POST, tra("You read this thread"), tra("read"));
                 }
             }
         }
Index: user_search.php
===================================================================
--- user_search.php	(Revision 24007)
+++ user_search.php	(Arbeitskopie)
@@ -147,7 +147,7 @@
     if (strlen($search_string)<3) {
         error_page(tra("search string must be at least 3 characters"));
     }
-    $s = boinc_real_escape_string($search_string);
+    $s = BoincDb::escape_string($search_string);
     $s = escape_pattern($s);
     $fields = "id, create_time, name, country, total_credit, expavg_credit, teamid, url, has_profile, donated";
     $users = BoincUser::enum_fields($fields, "name like '$s%'", "limit $count");
@@ -185,7 +185,7 @@
         case 'name_prefix':
             break;
         default:
-            error_page(tra("missing search type"));
+            error_page("missing search type");
         }
 
         $filter = null;
Index: html.php
===================================================================
--- html.php	(Revision 24007)
+++ html.php	(Arbeitskopie)
@@ -16,29 +16,23 @@
 // You should have received a copy of the GNU Lesser General Public License
 // along with BOINC.  If not, see <http://www.gnu.org/licenses/>.
 
-
 require_once("../inc/util.inc");
 
 check_get_args(array());
 
-page_head("Allowed HTML tags");
+page_head(tra("Allowed HTML tags"));
 
-echo "
-The following HTML tags are allowed in profiles, team descriptions,
-signatures, etc.:
+echo tra("The following HTML tags are allowed in team descriptions:")."
 <ul>
-<li> &lt;b> or &lt;strong> (bold)
-<li> &lt;i> or &lt;em> (italics)
-<li> &lt;a> (hyperlink)
-<li> &lt;p> (paragraph)
-<li> &lt;br> (break)
-<li> &lt;pre> (preformatted)
-<li> &lt;img> (image; height cannot exceed 450 pixels.
-Please do not link to images without
-permission of the web site where the image is hosted.)
+<li> &lt;b> or &lt;strong> (".tra("bold").")
+<li> &lt;i> or &lt;em> (".tra("italics").")
+<li> &lt;a> (".tra("hyperlink").")
+<li> &lt;p> (".tra("paragraph").")
+<li> &lt;br> (".tra("break").")
+<li> &lt;pre> (".tra("preformatted").")
+<li> &lt;img> (".tra("image; height cannot exceed 450 pixels. Please do not link to images without permission of the web site where the image is hosted.").")
 </ul>
-You can also use ampersand notation for special characters.
-";
+".tra("You can also use ampersand notation for special characters.");
 
 page_tail();
 ?>
Index: host_edit_form.php
===================================================================
--- host_edit_form.php	(Revision 24007)
+++ host_edit_form.php	(Arbeitskopie)
@@ -27,18 +27,16 @@
 $hostid = get_int("hostid");
 $host = BoincHost::lookup_id($hostid);
 if (!$host || $host->userid != $user->id) {
-    error_page("We have no record of that computer");
+    error_page(tra("We have no record of that computer"));
 }
 
 $detail = get_int('detail', true);
 
-page_head("Merge computers");
+page_head(tra("Merge computers"));
 
 $t = time_str($host->create_time);
-echo "
-    Sometimes BOINC assigns separate identities to the same computer by mistake.
-    You can correct this by merging old identities with the newest one.
-    <form name=blah action=host_edit_action.php>
+echo tra("Sometimes BOINC assigns separate identities to the same computer by mistake. You can correct this by merging old identities with the newest one.")."
+    <form name=host_list action=host_edit_action.php>
     <input type=hidden name=id_0 value=$hostid>
     <p>
 ";
@@ -55,29 +53,28 @@
     if ($nhosts==500) break;
 }
 if ($nhosts == 1) {
-    echo "<br>No hosts are eligible for merging with this one.";
+    echo "<br>".tra("No hosts are eligible for merging with this one.");
     if (!$detail) {
-        echo "<p><a href=host_edit_form.php?hostid=$hostid&detail=1>Show details</a>
+        echo "<p><a href=host_edit_form.php?hostid=$hostid&detail=1>".tra("Show details")."</a>
         ";
     }
     page_tail();
     exit();
 }
 echo "
+    <p>"
+    .tra("Check the computers that are the same as %1 (created %2, computer ID %3):", $host->domain_name, $t, $host->id)."
     <p>
-    Check the computers that are the same as $host->domain_name
-    (created $t, computer ID $host->id):
-    <p>
 ";
 start_table();
-row_heading_array(array("", "name", "created", "computer ID"));
+row_heading_array(array("", tra("name"), tra("created"), tra("computer ID")));
 
 $i = 1;
 foreach ($hosts as $host2) {
     $t = time_str($host2->create_time);
     $x = $host2->domain_name;
     if ($x == "") {
-        $x = "[no hostname]";
+        $x = "[".tra("no hostname")."]";
     }
     row_array(array(
         "<input type=checkbox name=id_$i value=$host2->id>",
@@ -94,14 +91,14 @@
         function set_all() {
 ";
 for ($i=1; $i<$nhosts; $i++) {
-    echo "document.blah.id_$i.checked=1;\n";
+    echo "document.host_list.id_$i.checked=1;\n";
 }
 echo "
         }
         function clear_all() {
 ";
 for ($i=1; $i<$nhosts; $i++) {
-    echo "document.blah.id_$i.checked=0;\n";
+    echo "document.host_list.id_$i.checked=0;\n";
 }
 echo "
         }
@@ -109,12 +106,12 @@
     <p><a href=javascript:set_all()>Select all</a>
     <p><a href=javascript:clear_all()>Unselect all</a>
     <input type=hidden name=nhosts value=$nhosts>
-    <p><input type=submit value='Merge hosts'>
+    <p><input type=submit value='".tra("Merge hosts")."'>
     </form>
 ";
 
 if (!$detail) {
-    echo "<p><a href=host_edit_form.php?hostid=$hostid&detail=1>Show details</a>
+    echo "<p><a href=host_edit_form.php?hostid=$hostid&detail=1>".tra("Show details")."</a>
     ";
 }
 
Index: forum_moderate_post_action.php
===================================================================
--- forum_moderate_post_action.php	(Revision 24007)
+++ forum_moderate_post_action.php	(Arbeitskopie)
@@ -25,23 +25,22 @@
     $x = "";
     $reason = post_str('reason', true);
     if ($reason){
-        $x .= "
-Moderator comment: $reason
+        $x .= "\nModerator comment: $reason
 ";
     }
     return $x;
 }
 
 function hide_explanation() {
-    $x = "\nYour post was categorized as ";
     switch (post_int("category", true)) {
-    case 1: $x .= "Obscene"; break;
-    case 2: $x .= "Flame/Hate mail"; break;
-    case 3: $x .= "Commercial spam"; break;
-    case 4: $x .= "Double post"; break;
-    case 5: $x .= "User Request"; break;
-    default: $x .= "Other"; break;
+        case 1: $c = "Obscene"; break;
+        case 2: $c = "Flame/Hate mail"; break;
+        case 3: $c = "Commercial spam"; break;
+        case 4: $c = "Double post"; break;
+        case 5: $c = "User Request"; break;
+        default: $c = "Other"; break;
     }
+    $x = "\nYour post was categorized as ".$c;
     $x .= mod_comment();
     return $x;
 }
@@ -55,13 +54,13 @@
 $forum = BoincForum::lookup_id($thread->forum);
 
 if (!is_moderator($user, $forum)) {
-    error_page("You are not authorized to moderate this post.");
+    error_page(tra("You are not authorized to moderate this post."));
 }
 
 // See if "action" is provided - either through post or get
 if (!post_str('action', true)) {
     if (!get_str('action', true)){
-        error_page("You must specify an action...");
+        error_page(tra("You must specify an action..."));
     } else {
         $action = get_str('action');
     }
@@ -83,11 +82,11 @@
     if (!$new_thread) error_page("No such thread");
     $new_forum = BoincForum::lookup_id($new_thread->forum);
     if ($forum->parent_type != $new_forum->parent_type) {
-        error_page("Can't move to different category type");
+        error_page(tra("Can't move to different category type"));
     }
     if ($forum->parent_type != 0) {
         if ($forum->category != $new_forum->category) {
-            error_page("Can't move to different category");
+            error_page(tra("Can't move to different category"));
         }
     }
     $result = move_post($post, $thread, $forum, $new_thread, $new_forum);
@@ -108,14 +107,14 @@
         }
     }
     if (!$auth) {
-        error_page("Not authorized to banish users");
+        error_page(tra("Not authorized to banish users"));
     }
     $userid = post_int('userid');
-    $user = BoincUser::lookup_id($userid);
-    if (!$user) {
-        error_page("no user");
+    $bad_user = BoincUser::lookup_id($userid);
+    if (!$bad_user) {
+        error_page("user ID not found");
     }
-    BoincForumPrefs::lookup($user);
+    BoincForumPrefs::lookup($bad_user);
     $duration = post_int('duration');
     if ($duration == -1) {
         $t = 2147483647; // Maximum integer value
@@ -123,22 +122,22 @@
         $t = time() + $duration;
     }
     $reason = post_str("reason", true);
-    $result = $user->prefs->update("banished_until=$t");
-    page_head("Banishment");
+    $result = $bad_user->prefs->update("banished_until=$t");
+    page_head(tra("Banishment"));
     if ($result) {
-        echo "User ".$user->name." has been banished.";
-        send_banish_email($forum, $user, $t, $reason);
+        echo tra("User %1 has been banished.", $bad_user->name);
+        send_banish_email($forum, $bad_user, $t, $reason);
     } else {
-        echo "DB failure";
+        error_page(tra("Action failed: possible database problem"));
     }
     page_tail();
     exit();
 } else {
-    error_page("Unknown action ");
+    error_page("Unknown action");
 }
 
 if (!$result) {
-    error_page("Action failed: possible database problem");
+    error_page(tra("Action failed: possible database problem"));
 }
 
 send_moderation_email($forum, $post, $thread, $explanation, $action_name);
